<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Send_ReeferCommand StructType
 * @subpackage Structs
 */
class Send_ReeferCommand extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The ReeferCommand
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ReeferCommand
     */
    public $ReeferCommand;
    /**
     * Constructor method for Send_ReeferCommand
     * @uses Send_ReeferCommand::setLogin()
     * @uses Send_ReeferCommand::setReeferCommand()
     * @param \StructType\Login $login
     * @param \StructType\ReeferCommand $reeferCommand
     */
    public function __construct(\StructType\Login $login = null, \StructType\ReeferCommand $reeferCommand = null)
    {
        $this
            ->setLogin($login)
            ->setReeferCommand($reeferCommand);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Send_ReeferCommand
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get ReeferCommand value
     * @return \StructType\ReeferCommand|null
     */
    public function getReeferCommand()
    {
        return $this->ReeferCommand;
    }
    /**
     * Set ReeferCommand value
     * @param \StructType\ReeferCommand $reeferCommand
     * @return \StructType\Send_ReeferCommand
     */
    public function setReeferCommand(\StructType\ReeferCommand $reeferCommand = null)
    {
        $this->ReeferCommand = $reeferCommand;
        return $this;
    }
}
